using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace CentralControl
{

    public class RequestBody_WebAPI_Boms
    {
        public string lineId
        {
            get;
            set;
        }
        public string productCode
        {
            get;
            set;
        }
    }
    public class ResponseBody_WebAPI_Boms
    {
        public string code
        {
            get;
            set;
        } = "";
        public string message
        {
            get;
            set;
        } = "";
        public List<DataBody_WebAPI_Boms> Data
        {
            get;
            set;
        }

    }
    public class DataBody_WebAPI_Boms
    {
        /*
    (name="bomHeaderId",value="bom头id")
    (name ="materialId",value ="物料id")
    (name="materialCode".value="物料编码")
    (name="materialName" value="物料名称"
    (name="quanity",value="量”
    (name="keyFlag",value="是否关键件，1是，0否")
    (name ="operationId",value="工位id")
    (name=operationCode,value="工位编码")
    (name="assginedSupplierId",value="指定供应商id")
    (name="assginedSupplierCode".value="指定供应商code")
         */
        public string bomHeaderId
        {
            get;
            set;
        }
        public string materialId
        {
            get;
            set;
        }
        public string materialCode
        {
            get;
            set;
        }
        public string materialName
        {
            get;
            set;
        }
        public string quanity
        {
            get;
            set;
        }
        public string keyFlag
        {
            get;
            set;
        }
        public string operationId
        {
            get;
            set;
        }
        public string operationCode
        {
            get;
            set;
        }
        public string assginedSupplierId
        {
            get;
            set;
        }
        public string assginedSupplierCode
        {
            get;
            set;
        }
    }


}
